Bug 124791 - ImageMagick devel package missing dependency
Summary: ImageMagick devel package missing dependency
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-30 05:00 UTC by Brad Hards
Modified: 2013-04-02 04:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-19 13:12:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brad Hards 2004-05-30 05:00:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
Magick-config --libs says that libexif is required, but it seems that libexif-devel is not set as a dependency in the ImageMagick-devel RPM.

Version-Release number of selected component (if applicable):
ImageMagick-devel-5.5.7.15-1.3

How reproducible:
Always

Steps to Reproduce:
I came across the problem trying to build Karbon (from the KDE KOffice suite), but using Magick-config --libs will show the problem.

Actual Results:  Linker can't find libexif

Expected Results:  libexif-devel should have been required to satisfy dependency for ImageMagick-devel at install time.

Additional info:

Possibly libexif-devel should really be a dependency for libjpeg-devel.

Comment 1 Alan Cox 2004-06-19 01:55:00 UTC
Added to cvs



Note You need to log in before you can comment on or make changes to this bug.